local MedievalWall = foundation.createMod()

-----------------------------------------------------------------
--   _____      _     _       __  __        __  __ __          --
--  | ___ \    (_)   (_)     |  \/  |      / _|/ _/  |         --
--  | |_/ /__ _ _ ___ _ _ __ | .  . |_   _| |_| |_`| | _ __    --
--  |    // _` | / __| | '_ \| |\/| | | | |  _|  _|| || '_ \   --
--  | |\ \ (_| | \__ \ | | | | |  | | |_| | | | | _| || | | |  --
--  \_| \_\__,_|_|___/_|_| |_\_|  |_/\__,_|_| |_| \___/_| |_|  --
-----------------------------------------------------------------

MedievalWall:dofile("scripts/decorations.lua")
MedievalWall:dofile("scripts/components.lua")
MedievalWall:dofile("scripts/materials.lua")
MedievalWall:dofile("scripts/monument.lua")
MedievalWall:dofile("scripts/particles.lua")
MedievalWall:dofile("scripts/walls.lua")

----------------------------------------
--| Register New Category Enum Value |--
----------------------------------------
MedievalWall:registerEnumValue ("BUILDING_PART_TYPE", "DECO")

---------------------------------
--| Register Asset Processers |--
---------------------------------
MedievalWall:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
MedievalWall:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
MedievalWall:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})